import { GLTFParser, GLTFLoaderPlugin, GLTF } from 'three/examples/jsm/loaders/GLTFLoader';
import { OrbitControls } from 'three/examples/jsm/controls/OrbitControls';
import { Group, Mesh, BufferGeometry, Material, SkinnedMesh, Texture, Object3D, Camera } from 'three';
import { TencentScene } from '../node';
export interface SceneGLTF extends GLTF {
    /** 激活相机 */
    camera: Camera;
    /** 激活场景 */
    scene: TencentScene;
    /** 场景列表 */
    scenes: TencentScene[];
    /** 相机控制器 */
    controls: OrbitControls;
}
export default abstract class Plugin implements GLTFLoaderPlugin {
    protected parser: GLTFParser;
    beforeRoot?(): Promise<void> | null;
    afterRoot?(result: SceneGLTF): Promise<void> | null;
    loadMesh?(meshIndex: number): Promise<Group | Mesh<BufferGeometry, Material | Material[]> | SkinnedMesh<BufferGeometry, Material | Material[]>> | null;
    loadBufferView?(bufferViewIndex: number): Promise<ArrayBuffer> | null;
    loadMaterial?(materialIndex: number): Promise<Material> | null;
    loadTexture?(textureIndex: number): Promise<Texture> | null;
    getMaterialType?(materialIndex: number): typeof Material | null;
    extendMaterialParams?(materialIndex: number, materialParams: {
        [key: string]: any;
    }): Promise<any> | null;
    createNodeAttachment?(nodeIndex: number): Promise<Object3D<Event>> | null;
    get name(): string;
    constructor(parser: GLTFParser);
    static assignExtrasToUserData(object: Object3D | Material | BufferGeometry, gltfDef: any): void;
    static addUnknownExtensionsToUserData(knownExtensions: any, object: any, objectDef: any): void;
}
