import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface AttributeParams<T> extends ShaderNodeParams<T> {
    attribute_name: string;
    /** General type of the attribute */
    attribute_type: 'GEOMETRY' | 'OBJECT' | 'INSTANCER' | 'VIEW_LAYER';
}
/** Retrieve attributes attached to objects or geometry */
export default class Attribute extends ShaderNode implements AttributeParams<NodeSocket> {
    readonly attribute_name: AttributeParams<NodeSocket>['attribute_name'];
    readonly attribute_type: AttributeParams<NodeSocket>['attribute_type'];
    constructor(params: AttributeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
