import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface BevelParams<T> extends ShaderNodeParams<T> {
    /** Number of rays to trace per shader evaluation */
    samples: number;
}
/**
 * Generates normals with round corners.
 * Note: only supported in Cycles, and may slow down renders
 */
export default class Bevel extends ShaderNode implements BevelParams<NodeSocket> {
    readonly samples: BevelParams<NodeSocket>['samples'];
    constructor(params: BevelParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
