import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface BsdfAnisotropicParams<T> extends ShaderNodeParams<T> {
    /** Light scattering distribution on rough surface */
    distribution: 'BECKMANN' | 'GGX' | 'MULTI_GGX' | 'ASHIKHMIN_SHIRLEY';
}
/** Glossy reflection with separate control over U and V direction roughness */
export default class BsdfAnisotropic extends ShaderNode implements BsdfAnisotropicParams<NodeSocket> {
    readonly distribution: BsdfAnisotropicParams<NodeSocket>['distribution'];
    get weight(): number;
    set weight(val: number);
    constructor(params: BsdfAnisotropicParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
