import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface BsdfGlassParams<T> extends ShaderNodeParams<T> {
    /** Light scattering distribution on rough surface */
    distribution: 'SHARP' | 'BECKMANN' | 'GGX' | 'MULTI_GGX';
}
/** Glass-like shader mixing refraction and reflection at grazing angles */
export default class BsdfGlass extends ShaderNode implements BsdfGlassParams<NodeSocket> {
    readonly distribution: BsdfGlassParams<NodeSocket>['distribution'];
    get weight(): number;
    set weight(val: number);
    constructor(params: BsdfGlassParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
