import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface BsdfGlossyParams<T> extends ShaderNodeParams<T> {
    /** Light scattering distribution on rough surface */
    distribution: 'SHARP' | 'BECKMANN' | 'GGX' | 'ASHIKHMIN_SHIRLEY' | 'MULTI_GGX';
}
/**
 * Reflection with microfacet distribution, used for materials such as metal or
 * mirrors
 */
export default class BsdfGlossy extends ShaderNode implements BsdfGlossyParams<NodeSocket> {
    readonly distribution: BsdfGlossyParams<NodeSocket>['distribution'];
    get weight(): number;
    set weight(val: number);
    constructor(params: BsdfGlossyParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
