import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface BsdfHairParams<T> extends ShaderNodeParams<T> {
    /** Hair BSDF component to use */
    component: 'Reflection' | 'Transmission';
}
/** Reflection and transmission shaders optimized for hair rendering */
export default class BsdfHair extends ShaderNode implements BsdfHairParams<NodeSocket> {
    readonly component: BsdfHairParams<NodeSocket>['component'];
    get weight(): number;
    set weight(val: number);
    constructor(params: BsdfHairParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
