import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface BsdfToonParams<T> extends ShaderNodeParams<T> {
    /** Toon BSDF component to use */
    component: 'DIFFUSE' | 'GLOSSY';
}
/** Diffuse and Glossy shaders with cartoon light effects */
export default class BsdfToon extends ShaderNode implements BsdfToonParams<NodeSocket> {
    readonly component: BsdfToonParams<NodeSocket>['component'];
    get weight(): number;
    set weight(val: number);
    constructor(params: BsdfToonParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
