import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface BumpParams<T> extends ShaderNodeParams<T> {
    /** Invert the bump mapping direction to push into the surface instead of out */
    invert: boolean;
}
/**
 * Generate a perturbed normal from a height texture for bump mapping. Typically
 * used for faking highly detailed surfaces
 */
export default class Bump extends ShaderNode implements BumpParams<NodeSocket> {
    readonly invert: BumpParams<NodeSocket>['invert'];
    constructor(params: BumpParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
