import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface ClampParams<T> extends ShaderNodeParams<T> {
    clamp_type: 'MINMAX' | 'RANGE';
}
/** Clamp a value between a minimum and a maximum */
export default class Clamp extends ShaderNode implements ClampParams<NodeSocket> {
    readonly clamp_type: ClampParams<NodeSocket>['clamp_type'];
    get type(): string;
    constructor(params: ClampParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
