import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface CombineColorParams<T> extends ShaderNodeParams<T> {
    /** Mode of color processing */
    mode: 'RGB' | 'HSV' | 'HSL';
}
/** Create a color from individual components using multiple models */
export default class CombineColor extends ShaderNode implements CombineColorParams<NodeSocket> {
    readonly mode: CombineColorParams<NodeSocket>['mode'];
    get type(): string;
    constructor(params: CombineColorParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
