import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
export interface DisplacementParams<T> extends ShaderNodeParams<T> {
    /** Space of the input height */
    space: 'OBJECT' | 'WORLD';
}
/** Displace the surface along the surface normal */
export default class Displacement extends ShaderNode implements DisplacementParams<NodeSocket> {
    readonly space: DisplacementParams<NodeSocket>['space'];
    get type(): string;
    constructor(params: DisplacementParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
