import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera } from 'three';
/**
 * Similar to the Principled BSDF node but uses the specular workflow instead of
 * metallic, which functions by specifying the facing (along normal) reflection
 * color. Energy is not conserved, so the result may not be physically accurate
 */
export default class EeveeSpecular extends ShaderNode {
    get weight(): number;
    set weight(val: number);
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
