import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { BufferAttribute } from 'three';
export interface FloatCurveParams<T> extends ShaderNodeParams<T> {
    curve: BufferAttribute;
}
/** Map an input float to a curve and outputs a float value */
export default class FloatCurve extends ShaderNode {
    readonly curve: FloatCurveParams<NodeSocket>['curve'];
    static readonly type = "CURVE_FLOAT";
    get curveIndex(): number;
    dispose(): void;
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
