import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { ShaderNodeParams, SocketType } from './ShaderNode';
/**
 * Create a “hole” in the image with zero alpha transparency, which is useful for
 * compositing.
 * Note: the holdout shader can only create alpha when transparency is enabled in
 * the film settings
 */
export default class Holdout extends ShaderNode {
    get weight(): number;
    set weight(val: number);
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
