import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface MapRangeParams<T> extends ShaderNodeParams<T> {
    /** Clamp the result to the target range [To Min, To Max] */
    clamp: boolean;
    data_type: 'FLOAT' | 'FLOAT_VECTOR';
    interpolation_type: 'LINEAR' | 'STEPPED' | 'SMOOTHSTEP' | 'SMOOTHERSTEP';
}
/** Remap a value from a range to a target range */
export default class MapRange extends ShaderNode implements MapRangeParams<NodeSocket> {
    readonly clamp: MapRangeParams<NodeSocket>['clamp'];
    readonly data_type: MapRangeParams<NodeSocket>['data_type'];
    readonly interpolation_type: MapRangeParams<NodeSocket>['interpolation_type'];
    get type(): string;
    constructor(params: MapRangeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
