import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface MappingParams<T> extends ShaderNodeParams<T> {
    /** Type of vector that the mapping transforms */
    vector_type: 'POINT' | 'TEXTURE' | 'VECTOR' | 'NORMAL';
}
/** Transform the input vector by applying translation, rotation, and scale */
export default class Mapping extends ShaderNode implements MappingParams<NodeSocket> {
    readonly vector_type: MappingParams<NodeSocket>['vector_type'];
    get type(): string;
    constructor(params: MappingParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
