import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface MathParams<T> extends ShaderNodeParams<T> {
    operation: 'ADD' | 'SUBTRACT' | 'MULTIPLY' | 'DIVIDE' | 'MULTIPLY_ADD' | 'POWER' | 'LOGARITHM' | 'SQRT' | 'INVERSE_SQRT' | 'ABSOLUTE' | 'EXPONENT' | 'MINIMUM' | 'MAXIMUM' | 'LESS_THAN' | 'GREATER_THAN' | 'SIGN' | 'COMPARE' | 'SMOOTH_MIN' | 'SMOOTH_MAX' | 'ROUND' | 'FLOOR' | 'CEIL' | 'TRUNC' | 'FRACT' | 'MODULO' | 'WRAP' | 'SNAP' | 'PINGPONG' | 'SINE' | 'COSINE' | 'TANGENT' | 'ARCSINE' | 'ARCCOSINE' | 'ARCTANGENT' | 'ARCTAN2' | 'SINH' | 'COSH' | 'TANH' | 'RADIANS' | 'DEGREES';
    /** Clamp result of the node to 0.0 to 1.0 range */
    use_clamp: boolean;
}
/** Perform math operations */
export default class Math extends ShaderNode implements MathParams<NodeSocket> {
    readonly operation: MathParams<NodeSocket>['operation'];
    readonly use_clamp: MathParams<NodeSocket>['use_clamp'];
    get type(): string;
    constructor(params: MathParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
