import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface MixRGBParams<T> extends ShaderNodeParams<T> {
    blend_type: 'MIX' | 'DARKEN' | 'MULTIPLY' | 'BURN' | 'LIGHTEN' | 'SCREEN' | 'DODGE' | 'ADD' | 'OVERLAY' | 'SOFT_LIGHT' | 'LINEAR_LIGHT' | 'DIFFERENCE' | 'SUBTRACT' | 'DIVIDE' | 'HUE' | 'SATURATION' | 'COLOR' | 'VALUE';
    /** Include alpha of second input in this operation */
    use_alpha: boolean;
    /** Clamp result of the node to 0.0 to 1.0 range */
    use_clamp: boolean;
}
/** Mix two input colors */
export default class MixRGB extends ShaderNode implements MixRGBParams<NodeSocket> {
    readonly blend_type: MixRGBParams<NodeSocket>['blend_type'];
    readonly use_alpha: MixRGBParams<NodeSocket>['use_alpha'];
    readonly use_clamp: MixRGBParams<NodeSocket>['use_clamp'];
    get type(): string;
    constructor(params: MixRGBParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
