import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface OutputAOVParams<T> extends ShaderNodeParams<T> {
    /** Name of the AOV that this output writes to */
    name: string;
}
/**
 * Arbitrary Output Variables.
 * Provide custom render passes for arbitrary shader node outputs
 */
export default class OutputAOV extends ShaderNode implements OutputAOVParams<NodeSocket> {
    readonly name: OutputAOVParams<NodeSocket>['name'];
    constructor(params: OutputAOVParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
