import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface OutputLightParams<T> extends ShaderNodeParams<T> {
    /** True if this node is used as the active output */
    is_active_output: boolean;
    /** Which renderer and viewport shading types to use the shaders for */
    target: 'ALL' | 'EEVEE' | 'CYCLES';
}
/** Output light information to a light object */
export default class OutputLight extends ShaderNode implements OutputLightParams<NodeSocket> {
    readonly is_active_output: OutputLightParams<NodeSocket>['is_active_output'];
    readonly target: OutputLightParams<NodeSocket>['target'];
    constructor(params: OutputLightParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
