import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface OutputLineStyleParams<T> extends ShaderNodeParams<T> {
    blend_type: 'MIX' | 'DARKEN' | 'MULTIPLY' | 'BURN' | 'LIGHTEN' | 'SCREEN' | 'DODGE' | 'ADD' | 'OVERLAY' | 'SOFT_LIGHT' | 'LINEAR_LIGHT' | 'DIFFERENCE' | 'SUBTRACT' | 'DIVIDE' | 'HUE' | 'SATURATION' | 'COLOR' | 'VALUE';
    /** True if this node is used as the active output */
    is_active_output: boolean;
    /** Which renderer and viewport shading types to use the shaders for */
    target: 'ALL' | 'EEVEE' | 'CYCLES';
    /** Include alpha of second input in this operation */
    use_alpha: boolean;
    /** Clamp result of the node to 0.0 to 1.0 range */
    use_clamp: boolean;
}
export default class OutputLineStyle extends ShaderNode implements OutputLineStyleParams<NodeSocket> {
    readonly blend_type: OutputLineStyleParams<NodeSocket>['blend_type'];
    readonly is_active_output: OutputLineStyleParams<NodeSocket>['is_active_output'];
    readonly target: OutputLineStyleParams<NodeSocket>['target'];
    readonly use_alpha: OutputLineStyleParams<NodeSocket>['use_alpha'];
    readonly use_clamp: OutputLineStyleParams<NodeSocket>['use_clamp'];
    constructor(params: OutputLineStyleParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
