import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface OutputWorldParams<T> extends ShaderNodeParams<T> {
    /** True if this node is used as the active output */
    is_active_output: boolean;
    /** Which renderer and viewport shading types to use the shaders for */
    target: 'ALL' | 'EEVEE' | 'CYCLES';
}
/** Output light color information to the scene’s World */
export default class OutputWorld extends ShaderNode implements OutputWorldParams<NodeSocket> {
    readonly is_active_output: OutputWorldParams<NodeSocket>['is_active_output'];
    readonly target: OutputWorldParams<NodeSocket>['target'];
    constructor(params: OutputWorldParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
