import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { BufferAttribute } from 'three';
export interface RGBCurveParams<T> extends ShaderNodeParams<T> {
    curve: BufferAttribute;
}
/** Apply color corrections for each color channel */
export default class RGBCurve extends ShaderNode {
    readonly curve: RGBCurveParams<NodeSocket>['curve'];
    static readonly type = "CURVE_RGB";
    get curveIndex(): number;
    dispose(): void;
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
