import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface ScriptParams<T> extends ShaderNodeParams<T> {
    /** Internal shader script to define the shader */
    script: string;
    script_name: string;
}
/**
 * Generate an OSL shader from a file or text data-block.
 * Note: OSL shaders are not supported on the GPU
 */
export default class Script extends ShaderNode implements ScriptParams<NodeSocket> {
    readonly script: ScriptParams<NodeSocket>['script'];
    readonly script_name: ScriptParams<NodeSocket>['script_name'];
    readonly inputs: null;
    readonly outputs: null;
    constructor(params: ScriptParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
