import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface SeparateColorParams<T> extends ShaderNodeParams<T> {
    /** Mode of color processing */
    mode: 'RGB' | 'HSV' | 'HSL';
}
/** Split a color into its individual components using multiple models */
export default class SeparateColor extends ShaderNode implements SeparateColorParams<NodeSocket> {
    readonly mode: SeparateColorParams<NodeSocket>['mode'];
    get type(): string;
    constructor(params: SeparateColorParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
