import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface TexBrickParams<T> extends ShaderNodeParams<T> {
    offset: number;
    offset_frequency: number;
    squash: number;
    squash_frequency: number;
}
/** Generate a procedural texture producing bricks */
export default class TexBrick extends ShaderNode implements TexBrickParams<NodeSocket> {
    readonly offset: TexBrickParams<NodeSocket>['offset'];
    readonly offset_frequency: TexBrickParams<NodeSocket>['offset_frequency'];
    readonly squash: TexBrickParams<NodeSocket>['squash'];
    readonly squash_frequency: TexBrickParams<NodeSocket>['squash_frequency'];
    constructor(params: TexBrickParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
