import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface TexCoordParams<T> extends ShaderNodeParams<T> {
    /** Use the parent of the instance object if possible */
    from_instancer: boolean;
    /** Use coordinates from this object (for object texture coordinates output) */
    object: string;
}
/**
 * Retrieve multiple types of texture coordinates.
 * Typically used as inputs for texture nodes
 */
export default class TexCoord extends ShaderNode implements TexCoordParams<NodeSocket> {
    readonly from_instancer: TexCoordParams<NodeSocket>['from_instancer'];
    object: TexCoordParams<NodeSocket>['object'];
    constructor(params: TexCoordParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
