import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface TexIESParams<T> extends ShaderNodeParams<T> {
    /** Internal IES file */
    ies: string;
    ies_name: string;
}
/**
 * Used to match real world lights with IES files, which store the directional
 * intensity distribution of light sources
 */
export default class TexIES extends ShaderNode implements TexIESParams<NodeSocket> {
    readonly ies: TexIESParams<NodeSocket>['ies'];
    readonly ies_name: TexIESParams<NodeSocket>['ies_name'];
    constructor(params: TexIESParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
