import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface TexMagicParams<T> extends ShaderNodeParams<T> {
    /** Level of detail in the added turbulent noise */
    turbulence_depth: number;
}
/** Generate a psychedelic color texture */
export default class TexMagic extends ShaderNode implements TexMagicParams<NodeSocket> {
    readonly turbulence_depth: TexMagicParams<NodeSocket>['turbulence_depth'];
    constructor(params: TexMagicParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
