import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface TexNoiseParams<T> extends ShaderNodeParams<T> {
    /** Number of dimensions to output noise for */
    noise_dimensions: '1D' | '2D' | '3D' | '4D';
}
/** Generate fractal Perlin noise */
export default class TexNoise extends ShaderNode implements TexNoiseParams<NodeSocket> {
    readonly noise_dimensions: TexNoiseParams<NodeSocket>['noise_dimensions'];
    get type(): string;
    constructor(params: TexNoiseParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, material: ShaderNodeMaterial): void;
}
