import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface UVAlongStrokeParams<T> extends ShaderNodeParams<T> {
    /** Lower half of the texture is for tips of the stroke */
    use_tips: boolean;
}
export default class UVAlongStroke extends ShaderNode implements UVAlongStrokeParams<NodeSocket> {
    readonly use_tips: UVAlongStrokeParams<NodeSocket>['use_tips'];
    constructor(params: UVAlongStrokeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
