import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface UVMapParams<T> extends ShaderNodeParams<T> {
    /** Use the parent of the instance object if possible */
    from_instancer: boolean;
    /** UV coordinates to be used for mapping */
    uv_map: string;
}
/** Retrieve a UV map from the geometry, or the default fallback if none is specified */
export default class UVMap extends ShaderNode implements UVMapParams<NodeSocket> {
    readonly from_instancer: UVMapParams<NodeSocket>['from_instancer'];
    readonly uv_map: UVMapParams<NodeSocket>['uv_map'];
    static readonly type = "UVMAP";
    constructor(params: UVMapParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
