import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { BufferAttribute } from 'three';
export interface ValToRGBParams<T> extends ShaderNodeParams<T> {
    curve: BufferAttribute;
}
/** Map values to colors with the use of a gradient */
export default class ValToRGB extends ShaderNode {
    readonly curve: ValToRGBParams<NodeSocket>['curve'];
    static readonly type = "VALTORGB";
    get curveIndex(): number;
    dispose(): void;
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
