import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { BufferAttribute } from 'three';
export interface VectorCurveParams<T> extends ShaderNodeParams<T> {
    curve: BufferAttribute;
}
/** Map an input vectors to curves, used to fine-tune the interpolation of the input */
export default class VectorCurve extends ShaderNode {
    readonly curve: VectorCurveParams<NodeSocket>['curve'];
    static readonly type = "CURVE_VEC";
    get curveIndex(): number;
    dispose(): void;
    constructor(params: ShaderNodeParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
