import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
import { WebGLRenderer } from 'three';
import ShaderNodeMaterial from '../ShaderNodeMaterial';
import { Scene, Camera, Mesh, BufferGeometry, Group } from 'three';
export interface VectorDisplacementParams<T> extends ShaderNodeParams<T> {
    /** Space of the input height */
    space: 'TANGENT' | 'OBJECT' | 'WORLD';
}
/** Displace the surface along an arbitrary direction */
export default class VectorDisplacement extends ShaderNode implements VectorDisplacementParams<NodeSocket> {
    readonly space: VectorDisplacementParams<NodeSocket>['space'];
    get type(): string;
    constructor(params: VectorDisplacementParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
    onBeforeObjectRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Mesh, geometry: BufferGeometry, material: ShaderNodeMaterial, group: Group): void;
}
