import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface VectorMathParams<T> extends ShaderNodeParams<T> {
    operation: 'ADD' | 'SUBTRACT' | 'MULTIPLY' | 'DIVIDE' | 'MULTIPLY_ADD' | 'CROSS_PRODUCT' | 'PROJECT' | 'REFLECT' | 'REFRACT' | 'FACEFORWARD' | 'DOT_PRODUCT' | 'DISTANCE' | 'LENGTH' | 'SCALE' | 'NORMALIZE' | 'ABSOLUTE' | 'MINIMUM' | 'MAXIMUM' | 'FLOOR' | 'CEIL' | 'FRACTION' | 'MODULO' | 'WRAP' | 'SNAP' | 'SINE' | 'COSINE' | 'TANGENT';
}
/** Perform vector math operation */
export default class VectorMath extends ShaderNode implements VectorMathParams<NodeSocket> {
    readonly operation: VectorMathParams<NodeSocket>['operation'];
    static readonly type = "VECT_MATH";
    get type(): string;
    constructor(params: VectorMathParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
