import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface VectorRotateParams<T> extends ShaderNodeParams<T> {
    /** Invert angle */
    invert: boolean;
    /** Type of rotation */
    rotation_type: 'AXIS_ANGLE' | 'X_AXIS' | 'Y_AXIS' | 'Z_AXIS' | 'EULER_XYZ';
}
/** Rotate a vector around a pivot point (center) */
export default class VectorRotate extends ShaderNode implements VectorRotateParams<NodeSocket> {
    readonly invert: VectorRotateParams<NodeSocket>['invert'];
    readonly rotation_type: VectorRotateParams<NodeSocket>['rotation_type'];
    get type(): string;
    constructor(params: VectorRotateParams<SocketType>, nodeTree: ShaderNodeTree);
    get defaultUniform(): Map<string, NodeSocket>;
    get parsShader(): string;
}
