import ShaderNodeTree from '../ShaderNodeTree';
import ShaderNode, { NodeSocket, ShaderNodeParams, SocketType } from './ShaderNode';
export interface VertexColorParams<T> extends ShaderNodeParams<T> {
    /** Color Attribute */
    layer_name: string;
}
/** Retrieve a color attribute, or the default fallback if none is specified */
export default class VertexColor extends ShaderNode implements VertexColorParams<NodeSocket> {
    readonly layer_name: VertexColorParams<NodeSocket>['layer_name'];
    constructor(params: VertexColorParams<SocketType>, nodeTree: ShaderNodeTree);
    get parsShader(): string;
}
