import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface ChildOfConstraintParams extends ConstraintParams {
    target?: Object3D;
    use_location: [number, number, number];
    use_rotation: [number, number, number];
    use_scale: [number, number, number];
}
/** 物体约束：子集 */
export default class ChildOfConstraint extends Constraint {
    readonly type = "CHILD_OF";
    target?: Object3D;
    use_location: Vector3;
    use_rotation: Vector3;
    use_scale: Vector3;
    private matrix?;
    constructor(params: ChildOfConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
