import { BufferGeometry, Camera, Euler, Group, Material, Matrix4, Object3D, Quaternion, Scene, Vector3, WebGLRenderer } from 'three';
declare type Space = 'WORLD' | 'LOCAL';
export interface ConstraintParams {
    type: string;
    enabled?: boolean;
    influence?: number;
    owner_space?: Space;
    target_space?: Space;
    [key: string]: any;
}
/** 物体约束 */
export default class Constraint implements ConstraintParams {
    /** @ignore */
    protected static vector0: Vector3;
    /** @ignore */
    protected static vector1: Vector3;
    /** @ignore */
    protected static vector2: Vector3;
    /** @ignore */
    protected static vector3: Vector3;
    /** @ignore */
    protected static vector4: Vector3;
    /** @ignore */
    protected static quaternion0: Quaternion;
    /** @ignore */
    protected static quaternion1: Quaternion;
    /** @ignore */
    protected static euler0: Euler;
    /** @ignore */
    protected static euler1: Euler;
    /** @ignore */
    protected static euler2: Euler;
    /** @ignore */
    protected static Matrix0: Matrix4;
    /** @ignore */
    protected static Matrix1: Matrix4;
    protected static updateMatrix(object: Object3D): void;
    type: string;
    enabled: boolean;
    influence: number;
    target_space: Space;
    owner_space: Space;
    constructor(params: ConstraintParams);
    /**
     * @event
     * 帧回调
     * */
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
