import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface CopyLocationConstraintParams extends ConstraintParams {
    target?: Object3D;
    use: [number, number, number];
    invert: [number, number, number];
    use_offset?: boolean;
}
declare const targetSymbol: unique symbol;
/** 物体约束：复制位置 */
export default class CopyLocationConstraint extends Constraint {
    readonly type = "COPY_LOCATION";
    private [targetSymbol]?;
    set target(target: Object3D | undefined);
    get target(): Object3D | undefined;
    use: Vector3;
    invert: Vector3;
    use_offset: boolean;
    private location;
    constructor(params: CopyLocationConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
