import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface CopyRotationConstraintParams extends ConstraintParams {
    target?: Object3D;
    use: [number, number, number];
    invert: [number, number, number];
    mix_mode: string;
}
declare const targetSymbol: unique symbol;
/** 物体约束：复制旋转 */
export default class CopyRotationConstraint extends Constraint {
    readonly type = "COPY_ROTATION";
    private [targetSymbol]?;
    set target(target: Object3D | undefined);
    get target(): Object3D | undefined;
    use: Vector3;
    invert: Vector3;
    mix_mode: string;
    private rotation;
    constructor(params: CopyRotationConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
