import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface CopyScaleConstraintParams extends ConstraintParams {
    target?: Object3D;
    use: [number, number, number];
    power: number;
    use_make_uniform: boolean;
    use_offset: boolean;
    use_add: boolean;
}
declare const targetSymbol: unique symbol;
/** 物体约束：复制缩放 */
export default class CopyScaleConstraint extends Constraint {
    readonly type = "COPY_SCALE";
    private [targetSymbol]?;
    set target(target: Object3D | undefined);
    get target(): Object3D | undefined;
    use: Vector3;
    power: number;
    use_make_uniform: boolean;
    use_offset: boolean;
    use_add: boolean;
    private scale;
    constructor(params: CopyScaleConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
