import { BufferGeometry, Camera, Group, Material, Object3D, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface CopyTransformsConstraintParams extends ConstraintParams {
    target?: Object3D;
    mix_mode: string;
}
declare const targetSymbol: unique symbol;
/** 物体约束：复制变换 */
export default class CopyTransformsConstraint extends Constraint {
    readonly type = "COPY_TRANSFORMS";
    private [targetSymbol]?;
    set target(target: Object3D | undefined);
    get target(): Object3D | undefined;
    mix_mode: string;
    private location;
    private rotation;
    private scale;
    constructor(params: CopyTransformsConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
