import { BufferGeometry, Camera, Group, Material, Object3D, Quaternion, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export declare type TrackAxis = 'TRACK_X' | 'TRACK_Y' | 'TRACK_Z' | 'TRACK_NEGATIVE_X' | 'TRACK_NEGATIVE_Y' | 'TRACK_NEGATIVE_Z';
export interface DampedTrackConstraintParams extends ConstraintParams {
    target?: Object3D;
    track_axis: TrackAxis;
}
/** 物体约束：阻尼跟踪 */
export default class DampedTrackConstraint extends Constraint {
    readonly type = "DAMPED_TRACK";
    target?: Object3D;
    track_axis: TrackAxis;
    protected rotation?: Quaternion;
    constructor(params: DampedTrackConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
