import { BufferGeometry, Camera, Group, Material, Object3D, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
declare type FloorLocation = 'FLOOR_X' | 'FLOOR_Y' | 'FLOOR_Z' | 'FLOOR_NEGATIVE_X' | 'FLOOR_NEGATIVE_Y' | 'FLOOR_NEGATIVE_Z';
export interface FloorConstraintParams extends ConstraintParams {
    target?: Object3D;
    offset: number;
    floor_location: FloorLocation;
}
/** 物体约束：基面 */
export default class FloorConstraint extends Constraint {
    readonly type = "FLOOR";
    target?: Object3D;
    offset: number;
    floor_location: FloorLocation;
    constructor(params: FloorConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
