import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface LimitLocationConstraintParams extends ConstraintParams {
    use_min: [number, number, number];
    use_max: [number, number, number];
    min: [number, number, number];
    max: [number, number, number];
}
/** 物体约束：限定位置 */
export default class LimitLocationConstraint extends Constraint {
    readonly type = "LIMIT_LOCATION";
    use_min: Vector3;
    use_max: Vector3;
    min: Vector3;
    max: Vector3;
    constructor(params: LimitLocationConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
