import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface LimitRotationConstraintParams extends ConstraintParams {
    use_limit: [number, number, number];
    min: [number, number, number];
    max: [number, number, number];
}
/** 物体约束：限定旋转 */
export default class LimitRotationConstraint extends Constraint {
    readonly type = "LIMIT_ROTATION";
    use_limit: Vector3;
    min: Vector3;
    max: Vector3;
    constructor(params: LimitRotationConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
