import { BufferGeometry, Camera, Group, Material, Object3D, Scene, Vector3, WebGLRenderer } from 'three';
import Constraint from './Constraint';
import { LimitLocationConstraintParams } from './LimitLocationConstraint';
export declare type LimitScaleConstraintParams = LimitLocationConstraintParams;
/** 物体约束：限定旋转 */
export default class LimitScaleConstraint extends Constraint {
    readonly type = "LIMIT_SCALE";
    use_min: Vector3;
    use_max: Vector3;
    min: Vector3;
    max: Vector3;
    constructor(params: LimitScaleConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
