import { BufferGeometry, Camera, Group, Material, Object3D, Quaternion, Scene, WebGLRenderer } from 'three';
import Constraint from './Constraint';
import { DampedTrackConstraintParams, TrackAxis } from './DampedTrackConstraint';
declare type LockAxis = 'LOCK_X' | 'LOCK_Y' | 'LOCK_Z';
export interface LockedTrackConstraintParams extends DampedTrackConstraintParams {
    lock_axis: LockAxis;
}
/** 物体约束：锁定跟踪 */
export default class LockedTrackConstraint extends Constraint {
    readonly type = "LOCKED_TRACK";
    target?: Object3D;
    track_axis: TrackAxis;
    lock_axis: LockAxis;
    protected rotation?: Quaternion;
    constructor(params: LockedTrackConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
