import { BufferGeometry, Camera, Group, Material, Object3D, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
declare type FreeAxis = 'SAMEVOL_X' | 'SAMEVOL_Y' | 'SAMEVOL_Z';
declare type MaintainVolumeMode = 'STRICT' | 'UNIFORM' | 'SINGLE_AXIS';
export interface MaintainVolumeConstraintParams extends ConstraintParams {
    volume: number;
    free_axis: FreeAxis;
    mode: MaintainVolumeMode;
}
/** 物体约束：维持体积 */
export default class MaintainVolumeConstraint extends Constraint {
    readonly type = "MAINTAIN_VOLUME";
    volume: number;
    free_axis: FreeAxis;
    mode: MaintainVolumeMode;
    private initScale?;
    private oldScale?;
    constructor(params: MaintainVolumeConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
