import { BufferGeometry, Camera, Group, Material, Object3D, Quaternion, Scene, WebGLRenderer } from 'three';
import Constraint from './Constraint';
import { DampedTrackConstraintParams, TrackAxis } from './DampedTrackConstraint';
declare type UpAxis = 'UP_X' | 'UP_Y' | 'UP_Z';
export interface TrackToConstraintParams extends DampedTrackConstraintParams {
    up_axis: UpAxis;
}
/** 物体约束：标准跟踪 */
export default class TrackToConstraint extends Constraint {
    readonly type = "TRACK_TO";
    target?: Object3D;
    track_axis: TrackAxis;
    up_axis: UpAxis;
    protected rotation?: Quaternion;
    constructor(params: TrackToConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
export {};
