import { Body, Quaternion, Shape, Vec3, World, Constraint as RidigBodyConstraint } from 'cannon-es';
import { Material, Mesh, Object3D, Scene } from 'three';
import { BodyChildren } from '../utils/CannonUtils';
import Constraint from './constraint/Constraint';
import ShaderNodeMaterial from '../material/ShaderNodeMaterial';

export interface TencentObject3D extends Object3D {
    constraints?: Constraint[];
    rigidBodyConstraint?: RidigBodyConstraint;
    children: (Object3D|TencentMesh)[];
}
export interface TencentMesh extends Mesh, TencentObject3D {
    rigidBody?: Body;
    rigidBodyChildren?: BodyChildren;
    material: ShaderNodeMaterial | Material;
}
export interface TencentScene extends TencentObject3D, Scene {
}
declare module 'cannon-es' {
  export interface Constraint {
    enabled: boolean;
    breaking: number;
  }
}
declare module 'three' {
  export interface Object3D {
    constraints?: TencentObject3D['constraints'];
    rigidBodyConstraint?: TencentObject3D['rigidBodyConstraint'];

    rigidBody?: TencentMesh['rigidBody'];
    rigidBodyChildren?: TencentMesh['rigidBodyChildren'];
  }
}
