import { Camera, Scene, Vector2, Vector3, WebGLRenderer, WebGLRenderTarget } from 'three';
export default class BloomComposer {
    resolution: Vector2;
    color: Vector3;
    private static pixelScale;
    private static effectScene;
    enabled: boolean;
    renderTarget: WebGLRenderTarget;
    private emissionPass;
    private blurPass;
    get strength(): number;
    set strength(val: number);
    get radius(): number;
    set radius(val: number);
    get scene(): Scene;
    set scene(val: Scene);
    get camera(): Camera;
    set camera(val: Camera);
    constructor(resolution?: Vector2, color?: Vector3, strength?: number, radius?: number);
    setSize(width: number, height: number): void;
    dispose(): void;
    render(renderer: WebGLRenderer, scene: Scene, camera: Camera): void;
}
