import { Camera, Scene, Vector2, WebGLRenderer, WebGLRenderTarget } from 'three';
import BlurPass from './BlurPass';
import DepthPass from './DepthPass';
export default class DofComposer {
    resolution: Vector2;
    enabled: boolean;
    renderTarget: WebGLRenderTarget;
    depthPass: DepthPass;
    blurPass: BlurPass;
    get scene(): Scene;
    set scene(val: Scene);
    get camera(): Camera;
    set camera(val: Camera);
    get aperture(): number;
    set aperture(val: number);
    get focus(): number;
    set focus(val: number);
    get maxblur(): number;
    set maxblur(val: number);
    private saveState;
    constructor(resolution: Vector2, aperture: number, focus: number, maxblur: number);
    setSize(width: number, height: number): void;
    dispose(): void;
    beforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera): void;
    render(renderer: WebGLRenderer, scene: Scene, camera: Camera): void;
}
