import { Body, ConvexPolyhedron, Quaternion as RigidQuaternion, Shape, Trimesh, Vec3 } from 'cannon-es';
import { Object3D } from 'three';
import { BufferGeometry, Vector3 } from 'three';
export declare function CreateParticle(geometry: BufferGeometry, scale?: Vector3): [Shape, Vec3, RigidQuaternion][];
export declare function CreateLines(geometry: BufferGeometry, scale?: Vector3): [Shape, Vec3, RigidQuaternion][];
export declare function CreateTrimesh(geometry: BufferGeometry): Trimesh;
export declare function CreateConvexPolyhedron(geometry: BufferGeometry, scale?: Vector3): ConvexPolyhedron | undefined;
export declare function isPlane(geometry: BufferGeometry): boolean;
export declare function offsetCenterOfMass(body: Body, centreOfMass: Vec3): void;
export declare function updateMeshFromCannon(mesh: Object3D): void;
export declare function updateCannonFromMesh(mesh: Object3D): void;
export declare class BodyChildren {
    parent: Object3D;
    object: Object3D;
    get matrixWorldNeedsUpdate(): boolean;
    private matrix;
    shapes: Shape[];
    shapeOffsets: Vec3[];
    private initShapeOffsets;
    shapeOrientations: RigidQuaternion[];
    private initShapeOrientations;
    constructor(parent: Object3D, object: Object3D);
    addShape(shape: Shape, shapeOffset: Vec3, shapeOrientation: RigidQuaternion): void;
    update(): void;
}
